/*******************************************************************************
 * OnlinePartyInterface generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
interface OnlinePartyInterface extends Interface
    abstract;

function GetPartyMembers(out array<OnlineFriend> OutPartyMembers)
{
    //return;    
}

function bool IsPartyMemberLeader(OnlineFriend PartyMember)
{
    //return ReturnValue;    
}

function bool IsPartyTooLarge()
{
    //return ReturnValue;    
}

function int GetNumPartyMembers()
{
    //return ReturnValue;    
}

function bool SetPartyLimit(int NewLimit, bool bEnforce)
{
    //return ReturnValue;    
}

function int GetPartyLimit()
{
    //return ReturnValue;    
}

function InitPartyMembers()
{
    //return;    
}

function GetPartyLeaderName(out string LeaderName)
{
    //return;    
}

delegate OnInviteToParty(bool bSuccessful, OnlineSubsystemTypes.EPartyError ResponseCode)
{
    //return;    
}

function bool InviteToParty(UniqueNetId InvitePlayerId)
{
    //return ReturnValue;    
}

function bool InviteToPartyByUserName(string UserName)
{
    //return ReturnValue;    
}

function bool NotifyPartyOfGame(bool bSuccessful)
{
    //return ReturnValue;    
}

delegate OnNotifyLeaderEnteredGame()
{
    //return;    
}

function AddOnNotifyLeaderEnteredGame(delegate<OnNotifyLeaderEnteredGame> InDelegate)
{
    //return;    
}

function ClearOnNotifyLeaderEnteredGame(delegate<OnNotifyLeaderEnteredGame> InDelegate)
{
    //return;    
}

function bool GetMostRecentRoomPassword(out string Password)
{
    //return ReturnValue;    
}

function QWord GetMostRecentRoomId()
{
    //return ReturnValue;    
}

function bool GetMostRecentPlayGoStatus()
{
    //return ReturnValue;    
}

function AddInviteToPartyCompleteDelegate(delegate<OnInviteToParty> InDelegate)
{
    //return;    
}

function ClearInviteToPartyCompleteDelegate(delegate<OnInviteToParty> InDelegate)
{
    //return;    
}

delegate OnPartyInviteRespond(bool Successful, OnlineSubsystemTypes.EPartyError ResponseCode)
{
    //return;    
}

function bool RespondToPartyInvite(bool bAccept)
{
    //return ReturnValue;    
}

function AddRespondToPartyInviteCompleteDelegate(delegate<OnPartyInviteRespond> InDelegate)
{
    //return;    
}

function ClearRespondToPartyInviteCompleteDelegate(delegate<OnPartyInviteRespond> InDelegate)
{
    //return;    
}

delegate OnRemovePartyMember(bool Successful, OnlineSubsystemTypes.EPartyError ResponseCode)
{
    //return;    
}

function bool RemovePartyMember(UniqueNetId PartyMemberId)
{
    //return ReturnValue;    
}

function AddRemovePartyMemberCompleteDelegate(delegate<OnRemovePartyMember> InDelegate)
{
    //return;    
}

function ClearRemovePartyMemberCompleteDelegate(delegate<OnRemovePartyMember> InDelegate)
{
    //return;    
}

delegate OnPartyPromote(bool bSuccessful, OnlineSubsystemTypes.EPartyError ResponseCode)
{
    //return;    
}

function bool PromoteNewLeader(UniqueNetId NewLeaderId)
{
    //return ReturnValue;    
}

function AddPromoteNewLeaderCompleteDelegate(delegate<OnPartyPromote> InDelegate)
{
    //return;    
}

function ClearPromoteNewLeaderCompleteDelegate(delegate<OnPartyPromote> InDelegate)
{
    //return;    
}

delegate OnPartyGameSearchComplete(bool bSuccessful)
{
    //return;    
}

function bool SearchForGameAsParty()
{
    //return ReturnValue;    
}

function AddPartyGameSearchCompleteDelegate(delegate<OnPartyGameSearchComplete> InDelegate)
{
    //return;    
}

function ClearPartyGameSearchCompleteDelegate(delegate<OnPartyGameSearchComplete> InDelegate)
{
    //return;    
}

delegate OnQueryBatchProfileComplete(bool bSuccessful, array<UserProfileInfo> Profiles)
{
    //return;    
}

function AddQueryBatchProfileCompleteDelegate(byte LocalUserNum, delegate<OnQueryBatchProfileComplete> InDelegate)
{
    //return;    
}

function ClearQueryBatchProfileCompleteDelegate(byte LocalUserNum, delegate<OnQueryBatchProfileComplete> InDelegate)
{
    //return;    
}

delegate OnReadProfilesComplete(bool bSuccessful)
{
    //return;    
}

function AddReadProfilesCompleteDelegate(delegate<OnReadProfilesComplete> InDelegate)
{
    //return;    
}

function ClearReadProfilesCompleteDelegate(delegate<OnReadProfilesComplete> InDelegate)
{
    //return;    
}

function NotifyPartyMembersOfPublicGame(string ConnectString)
{
    //return;    
}

delegate OnPartyInviteReceived(string InviterName)
{
    //return;    
}

function AddPartyInviteReceivedDelegate(delegate<OnPartyInviteReceived> InDelegate)
{
    //return;    
}

function ClearPartyInviteReceivedDelegate(delegate<OnPartyInviteReceived> InDelegate)
{
    //return;    
}

delegate OnNotifyPartyMemberRemoved(UniqueNetId Remover, UniqueNetId RemovedPlayer)
{
    //return;    
}

function AddNotifyPartyMemberRemovedDelegate(delegate<OnNotifyPartyMemberRemoved> InDelegate)
{
    //return;    
}

function ClearNotifyPartyMemberRemovedDelegate(delegate<OnNotifyPartyMemberRemoved> InDelegate)
{
    //return;    
}

delegate OnNotifyPartyMembersAdded(array<OnlineFriend> AddedMembers)
{
    //return;    
}

function AddNotifyPartyMembersAddedDelegate(delegate<OnNotifyPartyMembersAdded> InDelegate)
{
    //return;    
}

function ClearNotifyPartyMembersAddedDelegate(delegate<OnNotifyPartyMembersAdded> InDelegate)
{
    //return;    
}

delegate OnNotifyPartyMembersUpdated(array<OnlineFriend> UpdatedMembers)
{
    //return;    
}

function AddNotifyPartyMembersUpdatedDelegate(delegate<OnNotifyPartyMembersUpdated> InDelegate)
{
    //return;    
}

function ClearNotifyPartyMembersUpdatedDelegate(delegate<OnNotifyPartyMembersUpdated> InDelegate)
{
    //return;    
}

delegate OnNotifyPartyDisbanded()
{
    //return;    
}

function AddNotifyPartyDisbandedDelegate(delegate<OnNotifyPartyDisbanded> InDelegate)
{
    //return;    
}

function ClearNotifyPartyDisbandedDelegate(delegate<OnNotifyPartyDisbanded> InDelegate)
{
    //return;    
}

delegate OnPartyJoinedQueue()
{
    //return;    
}

function AddOnPartyJoinedQueueDelegate(delegate<OnPartyJoinedQueue> InDelegate)
{
    //return;    
}

function ClearOnPartyJoinedQueueDelegate(delegate<OnPartyJoinedQueue> InDelegate)
{
    //return;    
}

delegate OnPartyRankedGameReady(const out OnlineGameSearch SearchResult)
{
    //return;    
}

function AddOnPartyRankedGameReadyDelegate(delegate<OnPartyRankedGameReady> InDelegate)
{
    //return;    
}

function ClearOnPartyRankedGameReadyDelegate(delegate<OnPartyRankedGameReady> InDelegate)
{
    //return;    
}

delegate OnPartyPublicGameReady(string ConnectString)
{
    //return;    
}

function AddOnPartyPublicGameReadyDelegate(delegate<OnPartyPublicGameReady> InDelegate)
{
    //return;    
}

function ClearOnPartyPublicGameReadyDelegate(delegate<OnPartyPublicGameReady> InDelegate)
{
    //return;    
}
